import {App} from "./App";
import debug from "debug";
import {WebsocketApp} from "./WebsocketApp";

const log = debug("itender:server");

const app = new App();
const wsApp = new WebsocketApp();



(async( ) => {
    try {
        log("Starting...")
        await app.listen();
        await wsApp.listen();
    } catch( e )
    {
        console.error("---- ERROR ----")
        console.error(e);
        process.exit(-1);
    }
})();

